#! /usr/bin/env python
# -*- coding: iso-8859-15 -*-

import sys, os
from distutils.core import setup

# Patch distutils if it can't cope with
# the "classifiers" or "download_url" keywords.
if sys.version < '2.2.3':
  from distutils.dist import DistributionMetadata
  DistributionMetadata.classifiers = None
  DistributionMetadata.download_url = None

#
# Setup.
#
setup(name='pyawale',
      version='0.3.2',
      description='A simple Awale game',
      author='Mikael NAVARRO',
      author_email='klnavarro@free.fr',
      contact='Mikael NAVARRO',
      contact_email='klnavarro@gmail.com',
      long_description='The count-and-capture official board game of Africa.',
      license='GNU General Public License',
      url='https://gna.org/projects/pyawale',
      download_url = 'http://download.gna.org/pyawale',
      platforms='Theorically all platforms.',
      data_files = [('pyawale', ['AUTHORS', 'COPYING', 'LICENCE',
                                 'README', 'LISEZMOI',
                                 'NEWS', 'ChangeLog']),
                    ('pyawale/doc', ['doc/awale.rest']),
                    ('pyawale/data', [os.path.join("data", f) for f in os.listdir("data")]),
                    ('pyawale/src', [os.path.join("src", f) for f in os.listdir("src")])],
      classifiers = ['Development Status :: 4 - Beta',
                     'Intended Audience :: End Users/Desktop',
                     'Environment :: Console (Text Based), Other Environment',
                     'License :: OSI Approved :: GNU General Public License (GPL)',
                     'Operating System :: OS Independent',
                     'Programming Language :: Python',
                     'Topic :: Games/Entertainment :: Puzzle Game']
      )
